package de.meinefirma.meinprojekt;

import javax.naming.*;

public class MyEjbClient
{
   public static void main( String[] args ) throws Exception
   {
      System.out.println( "\n" + execute( args ) );
   }

   public static String execute( String[] args ) throws Exception
   {
      if( args.length < 2 )
         return "Bitte zwei Zahlen uebergeben (eventuell zusaetzlich den Context.lookup()-String).";
      // Context.lookup()-String fuer EJB ist leider App-Server-spezifisch:
      String    ejbJndiName = ( args.length > 2 ) ? args[2] : ("MyEjb#" + MyEjbIntf.class.getName());
      Context   ctx = new InitialContext();
      MyEjbIntf meineEJB = (MyEjbIntf) ctx.lookup( ejbJndiName );
      return "MyEjbIntf.berechne( " + args[0] + ", " + args[1] + " ) = " +
               meineEJB.berechne( args[0], args[1] );
   }
}
