package de.meinefirma.meinprojekt;

import static org.junit.Assert.assertEquals;
import org.junit.Test;
import javax.naming.InitialContext;

public class MyEjbTest
{
   @Test public void testMyEjbImpl()
   {
      MyEjbIntf meineEJB = new MyEjbImpl();
      assertEquals( "3.0", meineEJB.berechne( "1", "2" ) );
   }

   /* Diesen Test nur bei vorhandenem InitialContextFactoryMock aktivieren: */
   @Test public void testMyEjbClient() throws Exception
   {
      System.setProperty( "java.naming.factory.initial", InitialContextFactoryMock.class.getName() );
      (new InitialContext()).bind( "MyEjb#" + MyEjbIntf.class.getName(), new MyEjbImpl() );
      String s = MyEjbClient.execute( new String[] { "1", "2" } );
      assertEquals( " 3.0", s.substring( s.length() - 4 ) );
   }
}
