package jnditest;

import javax.naming.*;

public class MeinJndiContext
{
  public static void main( String[] args ) throws NamingException
  {
    InitialContext ctx = new InitialContext();
    System.out.println( "Liste der Namen im JNDI-Context:");
    showJndiContext( ctx, "", "" );
    ctx.close();
  }

  public static void showJndiContext( InitialContext ctx, String name, String space )
  {
    if( null == name  ) name  = "";
    if( null == space ) space = "";
    try {
      NamingEnumeration en = ctx.list( name );
      while( en != null && en.hasMoreElements() ) {
        String delim = ( null != name && 0 < name.length() ) ? "/" : "";
        NameClassPair nc = (NameClassPair) en.next();
        System.out.println( space + name + delim + nc );
        if( 40 > space.length() )
          showJndiContext( ctx, nc.getName(), "    " + space );
      }
    } catch( javax.naming.NamingException ex ) {
    }
  }
}
