package controller;

import javax.annotation.Resource;
import javax.persistence.*;
import javax.transaction.UserTransaction;
import entities.Kontakt;

public class KontaktController
{
  @PersistenceUnit( unitName = "kontaktPersistenceUnit" )
  private EntityManagerFactory entityManagerFactory;

  @Resource
  private UserTransaction userTransaction;

  private Kontakt kontakt;

  public String speichereKontakt()
  {
    EntityManager entityManager = entityManagerFactory.createEntityManager();
    try {
      userTransaction.begin();
      entityManager.persist( kontakt );
      userTransaction.commit();
      return "success";
    } catch( Exception ex ) {
      ex.printStackTrace();
      return "failure";
    }
  }

  public Kontakt getKontakt()
  {
    return kontakt;
  }

  public void setKontakt( Kontakt kontakt )
  {
    this.kontakt = kontakt;
  }
}
