<%@ page language="java" contentType="text/html; charset=UTF-8" pageEncoding="UTF-8"%>
<%@ taglib uri="http://java.sun.com/jsf/core" prefix="f"%>
<%@ taglib uri="http://java.sun.com/jsf/html" prefix="h"%>

<!DOCTYPE html PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN"
                      "http://www.w3.org/TR/html4/loose.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<style type="text/css">
  .linkeSpalte  { text-align: right; }
  .rechteSpalte { text-align: left;  }
</style>
<title>Speichere Kontakt</title>
</head>
<body>

<h2>Speichere Kontakt:</h2>
<f:view>
  <h:form>
    <h:messages style="color: red;"></h:messages>
    <h:panelGrid columns="2" columnClasses="linkeSpalte,rechteSpalte">
      <h:outputText value="Vorname:"></h:outputText>
      <h:inputText  label="Vorname" value="#{Kontakt.vorname}"
        required="true" validator="#{MeineValidatoren.validiereAlpha}">
        <f:validateLength minimum="2" maximum="25"></f:validateLength>
      </h:inputText>
      <h:outputText value="Nachname:"></h:outputText>
      <h:inputText  label="Nachname" value="#{Kontakt.nachname}"
        required="true" validator="#{MeineValidatoren.validiereAlpha}">
        <f:validateLength minimum="2" maximum="25"></f:validateLength>
      </h:inputText>
      <h:outputText value="Email:"></h:outputText>
      <h:inputText  label="Email" value="#{Kontakt.email}"
        validator="#{MeineValidatoren.validiereEmail}">
      </h:inputText>
      <h:panelGroup></h:panelGroup>
      <h:commandButton action="#{KontaktController.speichereKontakt}" value="Save"></h:commandButton>
    </h:panelGrid>
  </h:form>
</f:view>

</body>
</html>
